# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [9.4.14] - 2026-03-09 (with data-quality 9.2.14)
### Security
- fix([QTDQ-842](https://qlik-dev.atlassian.net/browse/QTDQ-842)): upgrade 'log4j-core' to 2.25.3

## [9.4.13] - 2026-01-12 (with data-quality 9.2.13)

## [9.4.12] - 2025-12-09 (with data-quality 9.2.13-SNAPSHOT)
### Added
feat([DGHT-576](https://qlik-dev.atlassian.net/browse/DGHT-576)): improve performances when accessing dictionary in LuceneIndex

## [9.4.11] - 2025-10-27 (with data-quality 9.2.12)
### Fixed
- fix([QTDQ-447](https://qlik-dev.atlassian.net/browse/QTDQ-447)): fix Spanish Error in WEEKDAY Semantic type
### Security
- fix([QTDQ-910](https://qlik-dev.atlassian.net/browse/QTDQ-910)): upgrade daikon to 7.1.28
- fix([QTDQ-944](https://qlik-dev.atlassian.net/browse/QTDQ-944)): upgrade to commons-io-2.20.0,commons-compress-1.28.0,commons-lang3-3.18.0,commons-codec-1.19.0

## [9.4.10] - 2025-07-11 (with data-quality 9.2.10)
### Security
- fix([QTDQ-819](https://qlik-dev.atlassian.net/browse/QTDQ-819)): upgrade daikon to 7.1.27
- fix([QTDQ-822](https://qlik-dev.atlassian.net/browse/QTDQ-822)): upgrade commons-Beanutils from 1.9.4 to 1.11.0

## [9.4.9] - 2025-05-13 (with data-quality 9.2.9)

## [9.4.8] - 2024-11-13 (with data-quality 9.2.8)
### Security
- fix([TDQ-22225](https://jira.talendforge.org/browse/TDQ-22225)): fix CVE upgrade commons-io from 2.8.0 to 2.16.1

## [9.4.7] - 2024-09-12 (with data-quality 9.2.6)
### Fixed
- fix([TDQ-21489](https://jira.talendforge.org/browse/TDQ-21489)): tDataQualityRules component crashes my microservice at startup when deployed in a RE

## [9.4.6] - 2024-08-15 (with data-quality 9.2.6)

## [9.4.5] - 2024-06-11 (with data-quality 9.2.5)
### Security
- fix([TDQ-21883](https://jira.talendforge.org/browse/TDQ-21883)): upgrade commons-compress to 1.26.0, commons-configuration2 to 2.10.1

## [9.4.4] - 2024-05-14 (with data-quality 9.2.4)

## [9.4.2] - 2024-04-08 (with data-quality 9.2.2)
### Security
- fix([TDQ-21757](https://jira.talendforge.org/browse/TDQ-21757)): Upgrade jackson from 2.14.3 to 2.16.0

## [9.4.1] - 2023-12-01 (with data-quality 9.2.1)
### Changed
- fix([TDQ-21649](https://jira.talendforge.org/browse/TDQ-21649)) : change Require-Bundle:org.slf4j.api to Import-Package:org.slf4j

## [9.3.25] - 2023-11-21 (with data-quality 9.1.16)
### Changed
- fix([TDS-7247](https://jira.talendforge.org/browse/TDS-7247)): Return both results of "startswith" and "contains" by giving keyword search patterns in dropdown list

## [9.3.24] - 2023-11-09 (with data-quality 9.1.16)

## [9.3.23] - 2023-09-29 (with data-quality 9.1.16)
### Changed
- wi([TPRUN-6548](https://jira.talendforge.org/browse/TPRUN-6548)): use Double instead of Float for CategoryFrequency#score

## [9.3.22] - 2023-09-22 (with data-quality 9.1.16)
### Security
- fix([TDQ-21398](https://jira.talendforge.org/browse/TDQ-21398)): Upgrade jackson to 2.14.3
- fix([TDQ-21323](https://jira.talendforge.org/browse/TDQ-21323)): upgrade daikon to 7.1.16

## [9.3.21] - 2023-09-07 (with data-quality 9.1.14)

## [9.3.20] - 2023-08-09 (with data-quality 9.1.14)
### Changed
- fix([TDQ-21323](https://jira.talendforge.org/browse/TDQ-21323)): revert daikon to 7.0.5

## [9.3.19] - 2023-08-01 (with data-quality 9.1.15)
### Security
- fix([TDQ-21273](https://jira.talendforge.org/browse/TDQ-21273)): Fix com.google.guava:guava:30.0-jre (to 32.0.1-jre)
- fix([TDQ-21323](https://jira.talendforge.org/browse/TDQ-21323)): upgrade daikon to 7.1.16

## [9.3.18] - 2023-07-12 (with data-quality 9.1.14)
### Fixed
- fix([TDQ-21269](https://jira.talendforge.org/browse/TDQ-21269)): Remove dependency 'm2e'

## [9.3.17] - 2023-05-11 (with data-quality 9.1.13)
### Changed
fix([TDQ-20816](https://jira.talendforge.org/browse/TDQ-20816)): convert semantic module from folder to jar
### Security
- fix([TDQ-21093](https://jira.talendforge.org/browse/TDQ-21093)): Unify all jackson version to 2.13.4 or 2.13.4.2

## [9.3.16] - 2023-04-13 (with data-quality 9.1.12)

## [9.3.15] - 2023-02-09 (with data-quality 9.1.12)

## [9.3.14] - 2023-01-03 (with data-quality 9.1.12)
### Security
- fix([TDQ-20585](https://jira.talendforge.org/browse/TDQ-20585)): upgrade daikon to 7.0.5

## [9.3.13] - 2022-12-14 (with data-quality 9.1.11)
### Security
- fix([TDQ-20851](https://jira.talendforge.org/browse/TDQ-20851)): Upgrade slf4j to 1.7.34

## [9.3.12] - 2022-11-10 (with data-quality 9.1.10)
### Security
- fix([TDQ-20792](https://jira.talendforge.org/browse/TDQ-20792)): Fix all jackson jar(to 2.13.4), jackson-databind-2.13.2.2(to 2.13.4.2)
- fix([TDQ-20799](https://jira.talendforge.org/browse/TDQ-20799)): Fix org.apache.commons:commons-text:1.8,1.9(to 1.10.0)

## [9.3.11] - 2022-10-13 (with data-quality 9.1.9)

## [9.3.10] - 2022-09-15 (with data-quality 9.1.8)

## [9.3.9] - 2022-08-11 (with data-quality 9.1.7)
### Changed
- chore([TDQ-20569](https://jira.talendforge.org/browse/TDQ-20569)): migrate CipherSources.blowfish() from Daikon to DQ lib and upgrade daikon to 6.8.7
### Security
- fix([TDQ-20580](https://jira.talendforge.org/browse/TDQ-20580)): Fix Apache Commons Configuration (to 2.8.0)

## [9.3.8] - 2022-07-12 (with data-quality 9.1.6-SNAPSHOT)
### Fixed
- fix([TDQ-19987](https://jira.talendforge.org/browse/TDQ-19987)): Fix Sonar blocker issues on DQEE
### Security
- fix([TDQ-20481](https://jira.talendforge.org/browse/TDQ-20481)): upgrade daikon to 6.8.2

## [9.3.7] - 2022-06-15 (with data-quality 9.1.6-SNAPSHOT)

## [9.3.6] - 2022-05-12 (with data-quality 9.1.5)
### Security
- fix([TDQ-20210](https://jira.talendforge.org/browse/TDQ-20210)): Fix jackson-databind issues (to 2.13.2.2)

## [9.3.5] - 2022-04-14 (with data-quality 9.1.4)

## [9.3.4] - 2022-03-04 (with data-quality 9.1.3)
### Removed
- chore: Remove unused rnd parameter in GenerateValidator.initSemanticTypes()
### Security
- fix([TDQ-20023](https://jira.talendforge.org/browse/TDQ-20023)): Fix log4j issues (from log4j 1.x to log4j 2)

## [9.3.3] - 2022-02-04 (with data-quality 9.1.2)
### Changed
- chore: remove useless dependency that pulls too much crap

## [9.3.2] - 2022-02-03 (with data-quality 9.1.2-SNAPSHOT)
### Fixed
- fix([TSD-833](https://jira.talendforge.org/browse/TSD-833)): Fix index loading when used in OSGi bundle context.

## [9.3.1] - 2022-01-07 (with data-quality 9.1.1)
### Security
- fix([TDQ-19927](https://jira.talendforge.org/browse/TDQ-19927)): Upgrade Jackson to 1.9.16-TALEND
- fix([TDQ-20024](https://jira.talendforge.org/browse/TDQ-20024)): upgrade 'log4j-core' to 2.17.1

## [9.3.0] - 2021-12-15 (with data-quality 9.1.0)
### Fixed
- perf([TPRUN-2545](https://jira.talendforge.org/browse/TPRUN-2545)): High memory consumption by Avro SemanticAnalyzer
### Security
- fix([TDQ-19973](https://jira.talendforge.org/browse/TDQ-19973)): upgrade 'log4j-core' to 2.16.0

## [9.2.7] - 2021-10-19 (with data-quality 9.0.2)

## [9.2.6] - 2021-10-15 (with data-quality 9.0.2)
### Added
- workitem([TPRUN-2221](https://jira.talendforge.org/browse/TPRUN-2221)): Add CategoryHelper class for score & category utilities

## [9.2.5] - 2021-10-07 (with data-quality 9.0.1)

## [9.2.4] - 2021-09-21 (with data-quality 9.0.0)
### Security
- fix([TDQ-19311](https://jira.talendforge.org/browse/TDQ-19311)): Fix Apache Commons IO issues (to 2.8.0)
- fix([TDQ-19616](https://jira.talendforge.org/browse/TDQ-19616)): Fix Apache Commons Compress issue (to 1.21)

## [9.2.3] - 2021-06-02 (with data-quality 9.0.0)
### Changed
- [TPRUN-516](https://jira.talendforge.org/browse/TPRUN-516): Refactor AvroSemanticAnalyzer for discovery processor
- [TPRUN-951](https://jira.talendforge.org/browse/TPRUN-951): Refactor CommonQualityAnalyzer for validation processor
- [TPRUN-921](https://jira.talendforge.org/browse/TPRUN-921): Replace the id of the semantic type by its name
### Security
- fix([TDQ-19066](https://jira.talendforge.org/browse/TDQ-19066)): Fix jackson-databind issues
- fix([TDQ-19073](https://jira.talendforge.org/browse/TDQ-19073)): Fix JUnit issue
- fix([TDQ-19045](https://jira.talendforge.org/browse/TDQ-19045)): Update Jackson Databind to 2.11.4
- fix([TDQ-19124](https://jira.talendforge.org/browse/TDQ-19124)): Upgrade Daikon to 5.3.0

## [9.2.2] - 2021-01-07 (with data-quality 8.3.1)
### Fixed
- [TDQ-18975](https://jira.talendforge.org/browse/TDQ-18975): Fix index lock on windows
### Security
- fix([TDQ-18897](https://jira.talendforge.org/browse/TDQ-18897)): Fix org.apache.httpcomponents:httpclient issue
- fix([TDQ-19072](https://jira.talendforge.org/browse/TDQ-19072)): Fix Google guava issues

## [9.2.1] - 2020-12-02 (with data-quality 8.3.1)

## [9.2.0] - 2020-11-26 (with data-quality 8.3.1)

## [9.1.0] - 2020-11-18 (with data-quality 8.3.1)
### Fixed
- fix([TDQ-18906](https://jira.talendforge.org/browse/TDQ-18906)): Fix Cache issue
### Security
- fix([TDQ-17694](https://jira.talendforge.org/browse/TDQ-17694)): Fix Jackson Data Mapper Issues
- fix([TDQ-18385](https://jira.talendforge.org/browse/TDQ-18385)): Fix Apache Common Codec issues

## [9.0.0] - 2020-10-19 (with data-quality )
### Changed
- fix([TDQ-18831](https://jira.talendforge.org/browse/TDQ-18831)): Move FindMostSimilarValue/findSimilarValues to DictionarySnapshot
### Fixed
- fix([TDQ-18751](https://jira.talendforge.org/browse/TDQ-18751)): Close LocalDictionaryCache after metadata update
- fix([TDQ-18752](https://jira.talendforge.org/browse/TDQ-18752)): add delete CDH capacity to CRM 

## [8.3.1] - 2020-10-07 (with data-quality 8.3.0)
- fix([TDQ-18756](https://jira.talendforge.org/browse/TDQ-18756)): Fix Deserialization issue with CategoryFrequency

## [8.3.0] - 2020-07-16 (with data-quality 8.3.0)
### Added
- feat([TDQ-18422](https://jira.talendforge.org/browse/TDQ-18422)): Avro Analyzers management
- feat([TDQ-18065](https://jira.talendforge.org/browse/TDQ-18065)): Add validation & standardization in extract values by semantic type
- feat([TDQ-18007](https://jira.talendforge.org/browse/TDQ-18007)): Support Standardization with Compound types
- feat([TDQ-18421](https://jira.talendforge.org/browse/TDQ-18421)): Adapt Discovery to Inventory Use Case 
### Fixed
- fix beanutils bundle name in Manifest

## [8.2.0] - 2020-06-18 (with data-quality 8.2.0)
### Added
- feat([TDQ-18065](https://jira.talendforge.org/browse/TDQ-18065)): Add validation & standardization in extract values by semantic type
- feat([TDQ-18007](https://jira.talendforge.org/browse/TDQ-18007)): Support Standardization with Compound types 
### Deprecated
- feat([TDQ-18062](https://jira.talendforge.org/browse/TDQ-18062)): Deprecate TokenizedString class (moved to dataquality-common)
### Security
- fix([TDQ-18418](https://jira.talendforge.org/browse/TDQ-18418)): Explicitly add a dependency on Commons BeanUtils 1.9.4
- fix([TDQ-18383](https://jira.talendforge.org/browse/TDQ-18383)) Upgrade to log4j to log4j-core 2.13.2

## [8.1.0] - 2020-02-18 (with data-quality 8.0.0)
### Changed
- feat([TDS-5172](https://jira.talendforge.org/browse/TDS-5172)): construct LocalDictionaryCache with DictionarySnapshot
### Fixed
- fix([TDQ-17541](https://jira.talendforge.org/browse/TDQ-17541)): ConcurrentModificationException randomly thrown by constructor of SemanticQualityAnalyzer

## [8.0.0] - 2020-02-09 (with data-quality 8.0.0)
### Changed
- fix([TDQ-17682](https://jira.talendforge.org/browse/TDQ-17682)): change value of MAX_CHAR_COUNT_FOR_DICTIONARY_MATCH to 255
- feat([TSD-450](https://jira.talendforge.org/browse/TSD-450)): remove dictionarySnapshot nullable cases
- chore([TSD-451](https://jira.talendforge.org/browse/TSD-451)): remove call to CRM.getShared...
- feat([TSD-448](https://jira.talendforge.org/browse/TSD-448)): remove static getDictionaryURI
- feat([TSD-445](https://jira.talendforge.org/browse/TSD-445)): deletable dict snapshot
- feat([TDQ-17590](https://jira.talendforge.org/browse/TDQ-17590)): update to Lucene 8
### Fixed
- workitem([TDQ-17788](https://jira.talendforge.org/browse/TDQ-17788)): Reduce Technical Debt
### Security
- fix([TDQ-17933](https://jira.talendforge.org/browse/TDQ-17933)): Update Jackson version to 2.10.2

## [7.4.3] - 2019-12-04 (with data-quality 7.4.0)
### Added
- chore([TDQ-17710](https://jira.talendforge.org/browse/TDQ-17710)): Adopt the "Keep a Changelog" format for changelogs
- feat([TFD-8695](https://jira.talendforge.org/browse/TFD-8695)): Add method for retrieving similar values
### Fixed
- fix([TDQ-17642](https://jira.talendforge.org/browse/TDQ-17642)): fix encoding issue with regexes 
- fix([TDQ-17699](https://jira.talendforge.org/browse/TDQ-17699)): do not load deleted categories
### Security
- fix([TDQ-17691](https://jira.talendforge.org/browse/TDQ-17691)): Update Jackson to 2.10.1

## [6.0.0] - 2018-07-03
- [TDQ-15223](https://jira.talendforge.org/browse/TDQ-15223) Add delete documents, categories and regexs for deprovisioning
- [TDQ-14551](https://jira.talendforge.org/browse/TDQ-14551) fix URL check values with Asian characters valid
- [TDQ-15357](https://jira.talendforge.org/browse/TDQ-15357) implements cloneable interface because support clone is needed.
- [TDQ-14227](https://jira.talendforge.org/browse/TDQ-14227) Add setRandom method to avoid mask action make invalid phone number to empty
- [TDQ-15123](https://jira.talendforge.org/browse/TDQ-15123) add a threshold for the metadata matching in the disco…
- [TDQ-15015](https://jira.talendforge.org/browse/TDQ-15015) use lucene search API to avoid read all documents
- [TDQ-14987](https://jira.talendforge.org/browse/TDQ-14987) improve date discovery
- [TDQ-15129](https://jira.talendforge.org/browse/TDQ-15129) optimize republish-all by using one kafka event for all categories
- [TDQ-15013](https://jira.talendforge.org/browse/TDQ-15013) remove deprecated methods


## [5.0.2] - 2018-04-04

## [5.0.1] - 2018-03-28
- [TDQ-14914](https://jira.talendforge.org/browse/TDQ-14914) fix the deletion of Talend semantic type
- [TDQ-14870](https://jira.talendforge.org/browse/TDQ-14870) finish the running merges before commit
- [TDQ-14836](https://jira.talendforge.org/browse/TDQ-14836) remove CITY from shared dictionary
- [TDQ-14635](https://jira.talendforge.org/browse/TDQ-14635) for shared data dictionary broadcasting, include only the non modified categories 
- [TDQ-15022](https://jira.talendforge.org/browse/TDQ-15022) when deleting a semantic type, commit changes of documents in Lucene index

## [5.0.0] - 2018-02-12
- [TDQ-14482](https://jira.talendforge.org/browse/TDQ-14482) and [TDQ-14361](https://jira.talendforge.org/browse/TDQ-14361), discovery and validation refactoring
- [TDQ-14228](https://jira.talendforge.org/browse/TDQ-14228) add RFC-3966 support in phone regexes
- [TDQ-14668](https://jira.talendforge.org/browse/TDQ-14668) update jackson library to 2.9.4
- [TDQ-14739](https://jira.talendforge.org/browse/TDQ-14739) create a DQCategoryForValidation class for the TDP full run on Streams

## [4.0.1] - 2017-12-08
- [TDQ-14062](https://jira.talendforge.org/browse/TDQ-14062) fuzzy matching on semantic type name
- [TDQ-14481](https://jira.talendforge.org/browse/TDQ-14481) multi tenant index
- [TDQ-14484](https://jira.talendforge.org/browse/TDQ-14484) broadcast dictionary to cluster
- [TDQ-14412](https://jira.talendforge.org/browse/TDQ-14412) fix compound validation for shared AND custom children categories
- [TDQ-14111](https://jira.talendforge.org/browse/TDQ-14111) Create new method for DP calling
- [TDQ-13972](https://jira.talendforge.org/browse/TDQ-13972) fix empty index case during publish after migration
- [TDQ-14367](https://jira.talendforge.org/browse/TDQ-14367) Support multi-tenant lucene index for on-premise apps
- TDQ 11439 search similar values
- TDQ 13885 change score calculation

## [1.7.1] - 2017-09-11
- [TDQ-14268](https://jira.talendforge.org/browse/TDQ-14268) data is not discovered when pure numeric value
- [TDQ-13885](https://jira.talendforge.org/browse/TDQ-13885) add a weight on header name when exact matching

## [1.7.0] - 2017-08-24
- [TDQ-13046](https://jira.talendforge.org/browse/TDQ-13046) take into account regex changes with tDataprepRun Spark
- [TDP-3858](https://jira.talendforge.org/browse/TDP-3858) tdq dictionnaries json serialization
- [TDQ-13785](https://jira.talendforge.org/browse/TDQ-13785) improve validation for compound

## [1.6.3] - 2017-06-09
- [TDQ-12854](https://jira.talendforge.org/browse/TDQ-12854) remove unused F_SYN field in the lucene index
- [TDQ-13671](https://jira.talendforge.org/browse/TDQ-13671) do not try to do validation for keywords
- [TDQ-13810](https://jira.talendforge.org/browse/TDQ-13810) fix wrong percentages displayed with COMPOUND semantic types
- [TDQ-13132](https://jira.talendforge.org/browse/TDQ-13132) packed dictionary object for DataPrep full-run on Spark
- [TDQ-13840](https://jira.talendforge.org/browse/TDQ-13840) improve SIMPLIFIED validation mode
- [TDQ-13821](https://jira.talendforge.org/browse/TDQ-13821) wrond semantic level for complex compound types

## [1.6.2] - 2017-05-09
- [TDQ-13699](https://jira.talendforge.org/browse/TDQ-13699) regex is case insensitive for discovery and case sensitive for validation
- [TDQ-13715](https://jira.talendforge.org/browse/TDQ-13715) allowing value to be equal to category name
- [TDQ-13696](https://jira.talendforge.org/browse/TDQ-13696) compound validation for dictionary bug fix

## [1.6.1] - 2017-05-02
- [TDQ-13602](https://jira.talendforge.org/browse/TDQ-13602) add validationMode field in lucene index
- [TDQ-13017](https://jira.talendforge.org/browse/TDQ-13017) Split semantic discovery and semantic validation
- [TDQ-12874](https://jira.talendforge.org/browse/TDQ-12874) & [TDQ-13455](https://jira.talendforge.org/browse/TDQ-13455) Manage "compound semantic types" for discovery
- [TDQ-13467](https://jira.talendforge.org/browse/TDQ-13467) update UK_POSTAL_CODE pattern

## [1.6.0] - 2017-04-07
- [TDQ-13453](https://jira.talendforge.org/browse/TDQ-13453) add enum mainCategory in semantic model
- [TDQ-13493](https://jira.talendforge.org/browse/TDQ-13493) create compound type
- [TDQ-13046](https://jira.talendforge.org/browse/TDQ-13046) [Spark] Regex dictionary couldn't be added to DP side	
- [TDQ-13425](https://jira.talendforge.org/browse/TDQ-13425) category name is null when delete document by id
- [TDQ-13092](https://jira.talendforge.org/browse/TDQ-13092) remove control character from initial CITY index
- [TDQ-13297](https://jira.talendforge.org/browse/TDQ-13297) catch exception when initializing regex validators from json 
- [TDQ-13135](https://jira.talendforge.org/browse/TDQ-13135) make BroadcastIndexObject contain only complete dictionaries
- [TDQ-12379](https://jira.talendforge.org/browse/TDQ-12379) add a cache for the validation, regex validation optimization
- [TDQ-13062](https://jira.talendforge.org/browse/TDQ-13062) do not broadcast deleted dictionaries to spark cluster
- [TDQ-12830](https://jira.talendforge.org/browse/TDQ-12830) move mongo dict generator to data-quality-ee
- [TDP-2757](https://jira.talendforge.org/browse/TDP-2757)  Changes for Streams integration

## [1.5.6] - 2016-12-09
- [TDQ-13009](https://jira.talendforge.org/browse/TDQ-13009) fix update metadata issue by using Boolean object instead of native boolean type	

## [1.5.5] - 2016-12-02
- [TDQ-12720](https://jira.talendforge.org/browse/TDQ-12720) create API to access categories locally
- [TDQ-12761](https://jira.talendforge.org/browse/TDQ-12761) More permissive regex for IBAN
- [TDQ-12767](https://jira.talendforge.org/browse/TDQ-12767) Rename coordinate category
- [TDQ-12142](https://jira.talendforge.org/browse/TDQ-12142) handle diacritical marks in museums dictionary source file
- [TDQ-12241](https://jira.talendforge.org/browse/TDQ-12241) Architecture modification for Spark dependence in data-quality-ee
- [TDQ-12241](https://jira.talendforge.org/browse/TDQ-12241) serializable index object for dictionary broadcasting
- [TDQ-12142](https://jira.talendforge.org/browse/TDQ-12142) consider user category when sorting categories with the same percentage	
- [TDQ-12915](https://jira.talendforge.org/browse/TDQ-12915) fix UK_POSTAL_CODE category detection
- [TDQ-12845](https://jira.talendforge.org/browse/TDQ-12845) provide auto-completion API with local semantic registry

## [1.5.4] - 2016-10-20
- [TDQ-12551](https://jira.talendforge.org/browse/TDQ-12551) properly reopen local index in SemanticAnalyzer
- [TDQ-12552](https://jira.talendforge.org/browse/TDQ-12552) provide a method to config the path for local index extraction
- [TDQ-12653](https://jira.talendforge.org/browse/TDQ-12653) rename path of embeded index resources
- [TDQ-12679](https://jira.talendforge.org/browse/TDQ-12679) use categoryID as label when it cannot be resolved out of the box

## [1.5.3] - 2016-09-28
- [TDQ-12312](https://jira.talendforge.org/browse/TDQ-12312) improve the EMAIL regex to support more cases for semantic discovery
- [TDQ-12506](https://jira.talendforge.org/browse/TDQ-12506) add IBAN regex and IBAN validator class
- [TDQ-12607](https://jira.talendforge.org/browse/TDQ-12607) update FR_REGION category with new regions of 2016 + add FR_REGION_LEGACY category
- [TDQ-12600](https://jira.talendforge.org/browse/TDQ-12600) fix wrong country code recognition by using exact match on input value with only one token

## [1.5.2] - 2016-09-16
- [TDQ-12467](https://jira.talendforge.org/browse/TDQ-12467) Lucene index improvement
- [TDQ-12471](https://jira.talendforge.org/browse/TDQ-12471) remove dependency on ElasticSearch
- [TDQ-12533](https://jira.talendforge.org/browse/TDQ-12533) new implementation of JARDirectory

## [1.5.1] - 2016-06-27
- [TDQ-11437](https://jira.talendforge.org/browse/TDQ-11437) fix the regex for FR_PHONE recognition
- [TDQ-12055](https://jira.talendforge.org/browse/TDQ-12055) correctly pick category in semantic discovery analysis
- [TDQ-11962](https://jira.talendforge.org/browse/TDQ-11962) add LAST_NAME index
- [TDQ-12046](https://jira.talendforge.org/browse/TDQ-12046) add more cities into CITY index for GB_DE_FI_AU_BE_BR_CA_DK_CH_LU_NL_NO_US countries
- [TDQ-12041](https://jira.talendforge.org/browse/TDQ-12041) fixed le/la/les bug in FR_COMMUNE index
- [TDQ-12047](https://jira.talendforge.org/browse/TDQ-12047) add about 500 common french firstnames
- [TDQ-12047](https://jira.talendforge.org/browse/TDQ-12047) optimize category suggestion by prioritizing with ordinal information
- [TDQ-11678](https://jira.talendforge.org/browse/TDQ-11678) optimize REGEX categorizer loading speed
- [TDQ-12169](https://jira.talendforge.org/browse/TDQ-12169) Fix for file leak issues in SemanticQualityAnalyzer
- [TDQ-12222](https://jira.talendforge.org/browse/TDQ-12222) improve regex pattern for EMAIL category
- [TDQ-12244](https://jira.talendforge.org/browse/TDQ-12244) add validators with google phone library for US, UK, FR and DE phone number
- [TDQ-11569](https://jira.talendforge.org/browse/TDQ-11569) add 4 URL schemes: file, hdfs, mailto, data

## [1.5.0] - 2016-05-10
- rename artifact ID to dataquality-semantic
- [TDQ-11437](https://jira.talendforge.org/browse/TDQ-11437) fix regex for FR_PHONE recognition

## [1.4.4] - 2016-04-27 (for Studio 6.2.0)
- [TDQ-11701](https://jira.talendforge.org/browse/TDQ-11701) remove dependency on sampling library

## [1.4.3] - 2016-03-25
- [TDQ-11316](https://jira.talendforge.org/browse/TDQ-11316) add a category ANSWER for columns of mixed yes/no values

## [1.4.2] - 2016-01-26
- [TDQ-11477](https://jira.talendforge.org/browse/TDQ-11477) fix semantic category inference issue with US_PHONE regex
- [TDQ-11316](https://jira.talendforge.org/browse/TDQ-11316) yes/no values are guessed as "company" as semantic domain
- [TDQ-11475](https://jira.talendforge.org/browse/TDQ-11475) add a missing city name into FR_COMMUNE index
- [TDQ-11154](https://jira.talendforge.org/browse/TDQ-11154) support URL with authentication parameters + allow fragment in URL

## [1.4.1] - 2015-12-30
- move to data-quality repository, change parent pom
- [TDQ-11371](https://jira.talendforge.org/browse/TDQ-11371) remove TIME from semantic category list

## [1.4.0] - 2015-12-17
- move 2 tests into statistics project

## [1.3.3] - 2015-11-16
- merge duplicated classes following lucene4 upgrade in standardization library
- improvements about index matching([TDQ-11143](https://jira.talendforge.org/browse/TDQ-11143)): 
	- for Data Dictionary Index: from MATCH_PARTIAL to MATCH_SEMANTIC_DICTIONARY
	- for Keyword Index: MATCH_SEMANTIC_KEYWORD and input tokens contains index tokens
- [TDQ-11156](https://jira.talendforge.org/browse/TDQ-11156) add 10 indexes: 
	  `FR_COMMUNE`, `FR_DEPARTEMENT`, `FR_REGION`, `LANGUAGE`, `LANGUAGE_CODE_ISO2`, `LANGUAGE_CODE_ISO3`,
	  `CA_PROVINCE_TERRITORY`, `CA_PROVINCE_TERRITORY_CODE`, `MX_ESTADO`, `MX_ESTADO_CODE`

## [1.3.2] - 2015-10-29
- [TDQ-10903](https://jira.talendforge.org/browse/TDQ-10903) optimize dictionaries
- adjust OPEN/CLOSE type for some indexes

## [1.3.1] - 2015-10-22 (for Studio 6.1.0)
- [TDQ-10413](https://jira.talendforge.org/browse/TDQ-10413) compute list of invalid values according to semantic type
- [TDQ-10981](https://jira.talendforge.org/browse/TDQ-10981) concurrent analyzer New system for artifact build
- [TDQ-10988](https://jira.talendforge.org/browse/TDQ-10988) latin1 supplement support in pattern statistics

## [1.3.0] - 2015-10-05
- add changelog file for semantic library
- Add SEDOL as secondary validator
